> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rownd.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke all user tokens/sessions

> Revokes all tokens for the specified user causing them to be signed out on all devices.



## OpenAPI

````yaml POST /applications/{app}/users/{user}/signout
openapi: 3.1.0
info:
  title: Rownd API
  version: 1.0.0
servers:
  - url: https://api.rownd.io
    description: Rownd production environment
  - url: https://api.us-east-2.dev.rownd.io
    description: Rownd development environment
security:
  - hubAccessTokenForRowndApi: []
tags:
  - name: applications
  - name: application_creds
  - name: application_schemas
paths:
  /applications/{app}/users/{user}/signout:
    post:
      tags:
        - applications
      description: >-
        Revokes all tokens for the specified user causing them to be signed out
        on all devices.
      operationId: application_user_signout
      parameters:
        - $ref: '#/components/parameters/AppID'
        - $ref: '#/components/parameters/UserID'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                sign_out_all:
                  type: boolean
      responses:
        '204':
          description: User signout successful
      security:
        - appKey: []
          appSecret: []
        - hubAccessTokenForRowndApi: []
components:
  parameters:
    AppID:
      name: app
      in: path
      schema:
        type: string
      required: true
      description: Rownd application ID
    UserID:
      name: user
      in: path
      required: true
      schema:
        type: string
  securitySchemes:
    hubAccessTokenForRowndApi:
      type: http
      scheme: bearer
      description: >
        Bearer authentication header of the form `Bearer <token>` where
        `<token>` is your Rownd JWT
    appKey:
      type: apiKey
      in: header
      name: x-rownd-app-key
      description: >-
        The publishable key of your application credentials. ([more
        details](/configuration/app-credentials#appkey))
    appSecret:
      type: apiKey
      in: header
      name: x-rownd-app-secret
      description: >-
        The private secret of your application credentials. ([more
        details](/configuration/app-credentials#appsecret))

````